//
// config.h
//
// Configuration for rc-interface module.


// ____________________________________________________________________________
//                                                                     receiver

// number of channels
#define NUM_CHANNELS 8

// comma-separated order that channels are received in (channels are numbered
// from 1 to NUM_CHANNELS)
#define CHANNEL_ORDER 1, 3, 2, 4, 5, 6, 7, 8

// minimum pulse width (in ms), used to weed out crappy signals
#define MIN_PULSE_WIDTH 1000UL

// maximum pulse width (in ms), used to weed out crappy signals
#define MAX_PULSE_WIDTH 2000UL

// minimum frame gap time (in ms), used to check that the frame gap is where we
// expect it to be and that we have read the channels properly
#define MIN_FRAME_GAP_WIDTH ( 4000UL + MIN_PULSE_WIDTH )

// ____________________________________________________________________________
//                                                               esc controller

// ____________________________________________________________________________
//
